IPSW-CLASS-DUMP(1)

NAME
ipsw-class-dump - ObjC class-dump a dylib from a DSC or MachO

SYNOPSIS
ipsw class-dump [ |] [flags]

DESCRIPTION
ObjC class-dump a dylib from a DSC or MachO

OPTIONS
--all[=false]
    Dump ALL dylbs from DSC

--arch=""
    Which architecture to use for fat/universal MachO

-a, --cat=""
    Dump category (regex)

-c, --class=""
    Dump class (regex)

--demangle[=false]
    Demangle symbol names (same as verbose)

--deps[=false]
    Dump imported private frameworks as well

--diff=""
    Structurally diff ObjC against another DSC/MachO (same DYLIB)

--headers[=false]
    Dump ObjC headers

-h, --help[=false]
    help for class-dump

-o, --output=""
    Folder to write headers to

-p, --proto=""
    Dump protocol (regex)

--re[=false]
    RE verbosity (with addresses)

--refs[=false]
    Dump ObjC references too

-s, --spm[=false]
    🚧 Generate a Swift Package for the dylib

--theme="nord"
    Color theme (nord, github, etc)

-x, --xcfw[=false]
    🚧 Generate a XCFramework for the dylib

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

EXAMPLE
    # Class-dump a dylib from a DSC
    ❯ ipsw class-dump <DSC> /System/Library/Frameworks/Foundation.framework/Foundation
    # Class-dump a standalone MachO binary
    ❯ ipsw class-dump <MACHO>
    # Dump a single class (regex) with RE addresses
    ❯ ipsw class-dump <DSC> <DYLIB> --class 'NSString' --re
    # Write ObjC headers to a folder
    ❯ ipsw class-dump <DSC> <DYLIB> --headers --output /tmp/headers
    # Structurally diff a dylib's ObjC between two DSC versions (added/removed/changed)
    ❯ ipsw class-dump <NEW_DSC> <DYLIB> --diff <OLD_DSC> --color

SEE ALSO
ipsw(1)

HISTORY
5-Aug-2026 Auto generated by spf13/cobra